package com.ruoyi.cs.service;

import java.util.List;
import com.ruoyi.cs.domain.CsEvaluate;
import com.ruoyi.cs.domain.dto.CsEvaluateAddDTO;

/**
 * 服务评价Service接口
 *
 * @author ruoyi
 * @date 2024-05-28
 */
public interface ICsEvaluateService
{
    /**
     * 查询服务评价
     *
     * @param evaluateId 服务评价主键
     * @return 服务评价
     */
    public CsEvaluate selectCsEvaluateByEvaluateId(String evaluateId);

    /**
     * 查询服务评价列表
     *
     * @param csEvaluate 服务评价
     * @return 服务评价集合
     */
    public List<CsEvaluate> selectCsEvaluateList(CsEvaluate csEvaluate);

    /**
     * 新增服务评价
     *
     * @param csEvaluate 服务评价
     * @return 结果
     */
    public int insertCsEvaluate(CsEvaluate csEvaluate);

    /**
     * 修改服务评价
     *
     * @param csEvaluate 服务评价
     * @return 结果
     */
    public int updateCsEvaluate(CsEvaluate csEvaluate);

    /**
     * 批量删除服务评价
     *
     * @param evaluateIds 需要删除的服务评价主键集合
     * @return 结果
     */
    public int deleteCsEvaluateByEvaluateIds(String[] evaluateIds);

    /**
     * 删除服务评价信息
     *
     * @param evaluateId 服务评价主键
     * @return 结果
     */
    public int deleteCsEvaluateByEvaluateId(String evaluateId);

    /**
     * 查询服务评价
     *
     * @param resId 资源或工单ID
     * @return 服务评价
     */
    public CsEvaluate selectCsEvaluateByResId(String resId);

    /**
     * 新增服务评价
     *
     * @param csEvaluateAddDTO 服务评价
     * @return 结果
     */
    public int insertCsEvaluateAddDTO(CsEvaluateAddDTO csEvaluateAddDTO);

}
